## ros-indigo-squirrel-planning-knowledge-msgs 0.0.24

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(squirrel_planning_knowledge_msgs)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  message_generation
  diagnostic_msgs
  sensor_msgs
  std_msgs
  squirrel_object_perception_msgs
)

## Generate services in the 'srv' folder
add_service_files(
  FILES
  AddObjectService.srv
  UpdateObjectService.srv
  RemoveObjectService.srv
  TaskPoseService.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
   DEPENDENCIES
   diagnostic_msgs
   sensor_msgs
   std_msgs
   squirrel_object_perception_msgs
)

## Declare a catkin package
catkin_package(
   CATKIN_DEPENDS 
	message_runtime 
	std_msgs 
	sensor_msgs
	diagnostic_msgs
	squirrel_object_perception_msgs
)

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
)

=== debian/changelog ===
ros-indigo-squirrel-planning-knowledge-msgs (0.0.24-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Sun, 19 Feb 2017 23:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.23-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Sun, 12 Feb 2017 23:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.22-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 27 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.21-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Wed, 14 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.20-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 06 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.19-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.18-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Mon, 09 May 2016 22:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.17-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Wed, 13 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.16-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Sun, 10 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.15-0trusty) trusty; urgency=high

  * manual merge resolution
  * 0.0.4
  * update
  * 0.0.3
  * updated version
  * add CHANGELOG.rst
  * Contributors: Philipp Zech, buildbot-squirrel

 -- michael <michael.cashmore@kcl.ac.uk>  Sat, 09 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.14-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 05 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.13-0trusty) trusty; urgency=high

  * Revert "Revert "added more tracking services""
  * Revert "added more tracking services"
  * added more tracking services
  * Contributors: Nadia Hammoudeh García, mzillich

 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 01 Mar 2016 23:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.12-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 23 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.11-0trusty) trusty; urgency=high

  * add SceneObject
  * Revert "added SceneObject"
  * Contributors: Nadia Hammoudeh García, ipa-nhg

 -- michael <michael.cashmore@kcl.ac.uk>  Sun, 21 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.10-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Sun, 21 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.9-0trusty) trusty; urgency=high

  * added SceneObject ms msgg
  * Contributors: mzillich

 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 16 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.8-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Wed, 03 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.7-0trusty) trusty; urgency=high

  * added size parameter
  * Contributors: mzillich

 -- michael <michael.cashmore@kcl.ac.uk>  Mon, 01 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.6-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Sun, 31 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.4-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 12 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.3-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 12 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.2-0trusty) trusty; urgency=high



 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 12 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-planning-knowledge-msgs (0.0.1-0trusty) trusty; urgency=high

  * Updated CMakelists to add pose msg
  * Added default task pose service
  * Changed Pose to StampedPose.
  * Re-added object messages for perception interface.
  * Removed obsolete messages
  * corrected name of planning_dispatch_msgs to squirrel_planning_dispatch_msgs
  * corrected name of planning_dispatch_msgs to squirrel_planning_dispatch_msgs
  * corrected name of planning_knowledge_msgs to squirrel_planning_knowledge_msgs
  * add new services to cmakelists
  * add services for object DB handling
  * Added Domain function to knowledge item
  * Fixed build and runtime depencies; Removing and fixing dependcies in CMakeFile e.g. no genmsg use message_generation
  * Changed package structure to match SQUIRREL requirements
  * Contributors: Bram Ridder, Markus Bajones, Michael, Richard Bormann, ipa-jsf, m312z, michael

 -- michael <michael.cashmore@kcl.ac.uk>  Tue, 15 Dec 2015 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-squirrel-planning-knowledge-msgs
Section: misc
Priority: extra
Maintainer: michael <michael.cashmore@kcl.ac.uk>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-message-generation, ros-indigo-sensor-msgs, ros-indigo-squirrel-object-perception-msgs, ros-indigo-std-msgs
Homepage: http://www.squirrel-project.eu
Standards-Version: 3.9.2

Package: ros-indigo-squirrel-planning-knowledge-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-diagnostic-msgs, ros-indigo-message-runtime, ros-indigo-sensor-msgs, ros-indigo-squirrel-object-perception-msgs, ros-indigo-std-msgs
Description: Knowledge messages for adding and updating the model in the SQUIRREL knowledge base.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-squirrel-planning-knowledge-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
